#!/bin/sh

HOST=
IPADDR=
OUT_FILE=myhosts.cfg

# write template info to file
#  first line overwrites old file
 
echo "################################################################################" > $OUT_FILE

echo "# auto-generated config file" >> $OUT_FILE

echo "################################################################################" >> $OUT_FILE


echo "################################################################################" >> $OUT_FILE
echo "# HOST DEFINITIONS" >> $OUT_FILE
echo "#" >> $OUT_FILE
echo "# SYNTAX:" >> $OUT_FILE
echo "#" >> $OUT_FILE
echo "################################################################################" >> $OUT_FILE
                                                                         
echo "# Generic host definition template" >> $OUT_FILE
echo "#    define host{" >> $OUT_FILE
echo "#            name                            generic-host    ; The name of this host template - referenced in other host definitions, used for template recursion/resolution" >> $OUT_FILE
echo "#            notifications_enabled           1       ; Host notifications are enabled" >> $OUT_FILE
echo "#            event_handler_enabled           1       ; Host event handler is enabled" >> $OUT_FILE
echo "#            flap_detection_enabled          1       ; Flap detection is enabled" >> $OUT_FILE
echo "#            process_perf_data               1       ; Process performance data" >> $OUT_FILE
echo "#            retain_status_information       1       ; Retain status information across program restarts" >> $OUT_FILE
echo "#            retain_nonstatus_information    1       ; Retain non-status information across program restarts" >> $OUT_FILE
                                                                                                                     
echo "#            register                        0       ; DONT REGISTER THIS DEFINITION - ITS NOT A REAL HOST, JUST A TEMPLATE!" >> $OUT_FILE
echo   "#          }" >> $OUT_FILE


for DATA_FILE in `ls *.dat` 
do
    for HOST in `cat $DATA_FILE`
    do
    IPADDR=`host $HOST | awk '{print $4}'`
    echo "# host definition" 
    echo "define host{" 
    echo         "use                     my-linux-server ; Name of host template to use"
    echo         "host_name               $HOST"
    echo         "alias                   $HOST"
    echo         "address                 $IPADDR"
    echo        "check_command           check_ssh"
    echo        "max_check_attempts      10"
    echo        "check_period            24x7"
#    echo        "check_interval          30               ; Actively check the host every x minutes"
    echo        "contacts                nagiosadmin"
    echo        "contact_groups          admins"
    echo        "notification_interval   120"
    echo        "notification_period     24x7"
    echo        "notification_options    d,u,r"
    echo        "notifications_enabled   0"
    echo        "       }"
    echo        " "  

    done >> $OUT_FILE

done
