#!/bin/sh
# mkhostgroup.sh
#
# generates hostgroup from .dat file 
# hostgroup name comes from .dat filename
#
# called by combinehostgroups, which is called by nagios-config-build.sh
#
# Copyright (C) 2009 WordPro Information Systems 
# 
#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <http://www.gnu.org/licenses/>.

if [ "$1" = "" ]
then
echo enter station name
 exit 1
fi
HOST=""
IPADDR=""
NEWFLAG=1
HOSTGROUP=$1
DATA_FILE=$1.dat
OUT_FILE=$1.hostgroups.cfg
CONTACT_GROUPS=myteam

# 1st three chars of hostname taken from input
#  first line overwrites cfg file
    echo "# 'station' host group definition" > $OUT_FILE
    
    echo "define hostgroup{" >> $OUT_FILE
    echo        "hostgroup_name          $HOSTGROUP" >> $OUT_FILE
    echo        "alias                   $HOSTGROUP Group" >> $OUT_FILE
    echo        "#contact_groups           $CONTACT_GROUPS" >> $OUT_FILE
    printf       "members		      " >> $OUT_FILE

for HOST in `cat $DATA_FILE`
do
    printf "%s, " $HOST >> $OUT_FILE

done

    echo        ""  >> $OUT_FILE
    echo        "       }"  >> $OUT_FILE
    echo        ""  >> $OUT_FILE

