#!/bin/sh
# nagios-config-build.sh
# scottm 10/18/05
# 2009-12-11, added file cleanup
#
# generates myhosts.cfg and hosts.cfg from any .dat files
# in current directory
# hostgroups are generated from .dat file names
#
# Copyright (C) 2009 WordPro Information Systems 
# 
#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <http://www.gnu.org/licenses/>.


# make output directory, if it's not there
[ ! -d output ] && mkdir output

[ -f myhostgroups.cfg ] && rm myhostgroups.cfg
[ -f myhosts.cfg ] && rm myhosts.cfg

# read input from all .dat files, and output to myhosts.cfg
./hostdefine.sh
# read all .dat files, and turn them into hostgroups in myhostgroups.cfg
./combinehostgroups.sh

[ -f output/hostgroups.cfg ] && rm output/hostgroups.cfg
[ -f output/hosts.cfg ] && rm output/hosts.cfg

# append any standard configs
                                                              
[ -f hostgroups.add ] && cat hostgroups.add >> myhostgroups.cfg
[ -f hosts.add ] && cat hosts.add >> myhostgroups.cfg

# copy files to output directory
cp myhostgroups.cfg output/hostgroups.cfg
cp myhosts.cfg output/hosts.cfg

# Cleanup temp files, by placing them in the tmp directory
[ ! -d tmp ] && mkdir tmp
mv *.cfg tmp


